<p>Verfügbare Devices</p>

<mat-form-field>
  <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
</mat-form-field>

<div *ngIf="devices.length < 1">
  Nichts gefunden
</div>

<div>
  <mat-grid-list #grid cols="2" rowHeight="2:1">
    <mat-grid-tile *ngFor="let device of devices">
      <mat-card (click)="deviceClicked(device)">
        <mat-card-title>{{ device.name }}</mat-card-title>
        <mat-card-subtitle>{{ device.room.name }}</mat-card-subtitle>
        <mat-card-content>
          <p>{{ device.description }}</p>
        </mat-card-content>
        <div>
          <!--definieren im code-->
          <mat-slide-toggle (click)="$event.stopPropagation()">Licht</mat-slide-toggle>
        </div>
      </mat-card>
    </mat-grid-tile>
  </mat-grid-list>
</div>
